Error while using fedora-easy-karma

do not know where to post this question.
add comment in fedora-easy-karma. and must give password. then this message in terminal:

Comment? -1/0/1 -> karma, 'i' -> ignore, other -> skip> -1
Comment> no <language> booster option in settings
Password: 
Warning: Authentication error
FAS password for jaap: 
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/fedora/client/openidbaseclient.py", line 244, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python3.8/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    raise LoginRequiredError(
fedora.client.LoginRequiredError: https://bodhi.fedoraproject.org/comments/ requires a logged in user

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 117, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 462, in comment
    return self.send_request(
  File "/usr/lib/python3.8/site-packages/fedora/client/openidbaseclient.py", line 246, in send_request
    raise AuthError()
fedora.client.AuthError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 117, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 613, in csrf
    self.login(self.username, self.password)
  File "/usr/lib/python3.8/site-packages/fedora/client/openidbaseclient.py", line 287, in login
    response = openid_login(
  File "/usr/lib/python3.8/site-packages/fedora/client/openidproxyclient.py", line 138, in openid_login
    raise AuthError(output['message'])
fedora.client.AuthError: Authentication failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 783, in send_comment
    res = bc.comment(update["updateid"], comment, karma=karma)
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 142, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 464, in comment
    data={'update': update, 'text': comment, 'karma': karma, 'csrf_token': self.csrf()})
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 142, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/bodhi/client/bindings.py", line 613, in csrf
    self.login(self.username, self.password)
  File "/usr/lib/python3.8/site-packages/fedora/client/openidbaseclient.py", line 287, in login
    response = openid_login(
  File "/usr/lib/python3.8/site-packages/fedora/client/openidproxyclient.py", line 138, in openid_login
    raise AuthError(output['message'])
fedora.client.AuthError: Authentication failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 799, in <module>
    fek = FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 658, in __init__
    result = self.send_comment(bc, update, comment,
  File "/usr/bin/fedora-easy-karma", line 788, in send_comment
    bc.password = getpass.getpass('FAS password for %s: ' %
AttributeError: can't set attribute

1 Like

Does your FAS username is jaap?

1 Like

@alciregi
Thanks, found the solution. have a different FAS name. now all is OK
thanks again.

2 Likes